Skip to main content
GET
/
ai
/
agents
/
{agent_id}
/
tools
List agent tools
curl --request GET \
  --url https://api.wacht.dev/ai/agents/{agent_id}/tools \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "tool_type": "<string>",
      "deployment_id": "<string>",
      "requires_user_approval": true,
      "configuration": {
        "type": "api",
        "endpoint": "<string>",
        "method": "GET",
        "authorization": {
          "authorize_as_user": true,
          "jwt_template_id": "<string>",
          "custom_headers": [
            {
              "name": "<string>",
              "field_type": "<string>",
              "required": true,
              "title": "<string>",
              "description": "<string>",
              "enum_values": [
                "<unknown>"
              ],
              "format": "<string>",
              "minimum": 123,
              "maximum": 123,
              "items_type": "<string>",
              "items_schema": "<unknown>",
              "min_items": 123,
              "max_items": 123,
              "properties": "<array>"
            }
          ]
        },
        "request_body_schema": [
          {
            "name": "<string>",
            "field_type": "<string>",
            "required": true,
            "title": "<string>",
            "description": "<string>",
            "enum_values": [
              "<unknown>"
            ],
            "format": "<string>",
            "minimum": 123,
            "maximum": 123,
            "items_type": "<string>",
            "items_schema": "<unknown>",
            "min_items": 123,
            "max_items": 123,
            "properties": "<array>"
          }
        ],
        "url_params_schema": [
          {
            "name": "<string>",
            "field_type": "<string>",
            "required": true,
            "title": "<string>",
            "description": "<string>",
            "enum_values": [
              "<unknown>"
            ],
            "format": "<string>",
            "minimum": 123,
            "maximum": 123,
            "items_type": "<string>",
            "items_schema": "<unknown>",
            "min_items": 123,
            "max_items": 123,
            "properties": "<array>"
          }
        ],
        "timeout_seconds": 123
      }
    }
  ],
  "has_more": true,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

agent_id
string
required

Response

200 - application/json

Agent tools

data
object[]
has_more
boolean
limit
integer | null
offset
integer | null